--Should be called several times per second.
function p.play_music_maybe()
    local playlist = ""

    local playlist_for_path = game_music_by_path.get_cur_playlist()
    playlist = playlist_for_path

    --At this point, we could see if it was registered
    --that there was a rat monster nearby, in which case
    --we could set playlist to a scary song!!!
    --Feel free to mod this!!!

    --Telling the engine to play this playlist.
    --If it is already playing it, it keeps going.
    if playlist ~= nil then
        ga_play_playlist(playlist)
    end
end
